Skip to main content
POST
Create a new card

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Body

application/json

Card object that needs to be created

title
string
required
Example:

"My Card"

list_id
string
required
Example:

"114"

content
string
Maximum string length: 102400
Example:

"Some card content"

content_format
enum<string>
default:html

Format of the content field. When set to 'markdown', the server converts the content from GitHub Flavored Markdown to HTML before storage. Defaults to 'html'.

Available options:
html,
markdown
file_ids
string[]

Existing file IDs to duplicate and associate with the created card. Use for files already uploaded to this workspace, such as files attached to an agent run.

schema
integer | null
Example:

1

start_date
integer<int64>

unix timestamp in seconds

Example:

1608742037016

due_date
integer<int64>

unix timestamp in seconds

Example:

1608742037016

board_id
string
Example:

"5"

project_id
string
Example:

"1"

sprint_id
string
Example:

"8"

owner_id
string | null
members
object[]
priority
integer | null
Required range: 0 <= x <= 4
Example:

1

estimate
integer | null

effort estimation enum for the card. 1 is least, 5 is greatest. will map to different values depending on project settings.

Required range: 1 <= x <= 5
Example:

3

time_estimate_seconds
integer | null

Original time estimate for the card in seconds (separate from the 0-5 effort estimate field).

time_remaining_seconds
integer | null

Initial remaining time estimate in seconds. Defaults to time_estimate_seconds when omitted.

parent_card_id
string | null

Optional card ID to set as parent

epic_id
string | null

Optional epic ID to add card to

board_email_ref
string | null

Optional Board Email reference when creating a card from an email

Example:

"b291eKoaaLn5"

user
Actor · object

describes a user or robot that created or updated a resource

cover_image
object
checklists
object[] | null

Optionally specify checklist(s) to create and add to the card

form_id
string

ID of the form that created this card, if any

form_requester_user_id
string

ID of the user that created this card from form submission

Response

Card created

card
object